NBASE-T Issues on 2.4.5-P1 and 2.5.0



  • Hello guys I have an odd issue on 2.4.5-P1, where on any Intel NVM version greater than 7.2, the 2.5/5 Gbps modes do not work on my Intel X710-T2L adapter. Even if the modes are forced the adapter still defaults to either 1/10 Gbps link rates and if I set my switch ports to 2.5/5 Gbps no connection is there. I even compiled the latest Intel Ethernet 1.12.2 driver on FreeBSD 11.3 and installed it on my 2.4.5-p1 build but the 2.5/5 Gbps modes still don't work with newer NVM versions.

    On 2.5.0 (tried the latest builds) the Intel X710-T2L isn't even detected unless I compile and upload the ixl driver (used 1.12.2). Oddly in pfSense 2.5 even with the default 7.2 firmware NBASE-T does not work, whereas it did in 2.4.5.

    NBASE-T works fine with the same hardware in Windows 10 and Ubuntu 20.04 regardless of NVM version in use.

    I was wondering if anyone had any ideas as to how to fix this issue. Thanks in advance!

    Hardware:
    -SuperMicro M11SDV (AMD EPYC 3251 board) with an Intel X710-T2L dual port ethernet adapter.
    -Zyxel XS1930-10 Switch with NBASE-T support.
    -Netgear CAX80 DOCSIS 3.1 Modem with 2.5 Gbps port.

    Modem-> SuperMicro pfSense Box-> Switch.



  • At the least how do I go about reporting to the devs that the ixl-1.12.2 driver needs to be included in pfsense 2.5 as the default driver no longer detects the X710-T2L, unlike in 2.4.5-P1? Should I post this on https://redmine.pfsense.org/projects? I'm sure this also applies to the X710-T4L and upcoming V710 5Gbps NBASE-T adapter.

    I've attached ixl-1.12.2 drivers I compiled on FreeBSD 11.3 and FreeBSD 12.1 in case anyone wants. Copy the extracted if_ixl.ko file to boot/kernel/ and add the line if_ixl_load="YES" to loader.conf and or loader.conf.local also located in boot/

    BSD-11.3-if_ixl.ko.zip (pfSense 2.4.5-P1) (Not needed, default ixl-1.11.9 driver works fine, I only compiled this to test 2.5/5 Gbps modes on NVM version 8.0)

    BSD-12.1-if_ixl.ko.zip (pfSense 2.5.0) (Needed for X710-T2L cards to even be detected, in 2.5.)


  • Rebel Alliance Developer Netgate

    That is something you'd want to report to FreeBSD directly, as we use the drivers which are included in the FreeBSD version upon which a build is based.



  • Thanks jimp, really appreciate the response, yeah I installed FreeBSD 11.3/12.1 directly on to the firewall last night to do more testing. Seems you are right, it's a FreeBSD issue, after seeing the results. 😞 😢 ☹

    Hopefully this is fixed in future FreeBSD versions. In the mean time I guess any X710-T2L/T4L and V710 users who don’t want to compile the driver can just use the file I posted above. Even the 2.5/5 Gbps modes now seem to work well on 2.5.0 now, unlike my first attempt. 🙂

    I’ll report this to Intel & FreeBSD. ✍



  • I use the Intel X550-T2 10 gig adapter, and it seems to conflict with the built-in gigabit ports on my Supermicro board. I cannot enable the built-in gigabit ports while using the 10 gig ports on the expansion card. I also should note that the Intel driver appears to conflict with the pfSense traffic shaper and will not load if traffic shaping is enabled.



  • I had an X550-T2 adapter in my previous SuperMicro Box (Intel Xeon D-1541 based, basically an XG1541), I don't recall any such issue. In fact it also had 2x X550 ports built in along with 2x i350 ports and they functioned fine in parallel. It could be some sort of resource/IRQ conflict. Also try upgrading to the latest bios if you haven't.

    And an update to the NBASE-T issue, Intel is taking a look as I reported it to them. I figured they develop the drivers and firmware so it may be a better bet than dealing with FreeBSD.



  • Another update: Intel responded back to me today saying they could confirm the NBASE-T issues on FreeBSD when on newer firmwares and they will release a driver update this quarter to address the issue.

    https://community.intel.com/t5/Ethernet-Products/Intel-X710-T2L-2-5-5-Gbps-modes-not-functional-on-FreeBSD-11-3/m-p/1198349#M20965



  • Another update: I filed a report with FreeBSD in regards to the X710-T2L/T4L cards not being detected in FreeBSD 12.1. Apparently from what I've been told they are using an older driver in 12.1 and this issue will be fixed on FreeBSD 12 Stable around September 4-5. Looks like some of the ixl commits that were made by Intel today may fix the NBASE-T issue seen on NVM firmwares 7.3 and newer.

    https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=249058

    https://svnweb.freebsd.org/base/head/sys/dev/ixl/?sortby=date



  • Final update: Seems like Intel’s fixes in FreeBSD from Sept 4 have been absorbed into the latest pfSense 2.5 builds and even the driver issue with the 2.5 Gbps and 5 Gbps Eth modes with firmware 7.3 and newer seem fixed.


Log in to reply